summaryrefslogtreecommitdiff
path: root/dev-python/simplejson
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-27 03:04:46 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-27 03:04:46 -0500
commit2becf90cbeed1e8431dfd896e8a1b0e52085a807 (patch)
treea2c63582302d79d3b93dee005f71c667e192ae02 /dev-python/simplejson
parenta5b204c853f6ce1d5c74fb57a0c5c64567baeab6 (diff)
downloadsrcux-2becf90cbeed1e8431dfd896e8a1b0e52085a807.tar.gz
srcux-2becf90cbeed1e8431dfd896e8a1b0e52085a807.tar.xz
srcux-2becf90cbeed1e8431dfd896e8a1b0e52085a807.zip
Adding metadata
Diffstat (limited to 'dev-python/simplejson')
-rw-r--r--dev-python/simplejson/Manifest2
-rw-r--r--dev-python/simplejson/simplejson-4.1.2.ebuild38
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/simplejson/Manifest b/dev-python/simplejson/Manifest
index 734c5ee67f05..561d637a151a 100644
--- a/dev-python/simplejson/Manifest
+++ b/dev-python/simplejson/Manifest
@@ -1,2 +1,4 @@
DIST simplejson-4.1.1.tar.gz 118860 BLAKE2B 75af5b57638bb5282bf9f81ea26422bbe3d687155eb88f782300f723c8ce116537d5cf16c51e2d2424ba2100e4db10b075faec4d81347ab6e2ee2363d90d8837 SHA512 1690a070738aa8609170d9a329c2f9cb489e9e24de8058ed5e243327f21b02aab1d0b638a2306331d21b2f0b5021c591d40cacb00f8c94957928790caf95bfca
DIST simplejson-4.1.1.tar.gz.provenance 9802 BLAKE2B fa57f47ac3183ad9fe5c75af0fd3c24355ce8b5c93d8f010d9363d041c8b49774d027b7eee15fc77da16f9b4e6b6745c74b513480798536997fb253ab3175e50 SHA512 464d7479ea42f0ca4e9626a7d2013a1a954f97333c7774c0633a7c68073b25bd8f0e821d8aa71f3138c64016e6f18761f420778858dff470fd10bb38bc373b52
+DIST simplejson-4.1.2.tar.gz 121591 BLAKE2B 584a228e94ea688a4f5ea738ecf730a9cdf0cee158caee67c200d7813aaf20a2ceb920e43a42167c8b182b1aceb2d42d599f118cb9357a4be49ad967ffdf6d4a SHA512 ad81b4848305986898f1c59909652596c770f03c864863bd7492fe299c27c525496840a24938d398e09b114a3502762fdee52717afaedf288e97e21f8308796d
+DIST simplejson-4.1.2.tar.gz.provenance 10001 BLAKE2B 556bcbca2925b6013363f9fe60e4124eb5f3fa81b03b9fa52a3fea2dffb63a1474f978771897ee45bcaf25f7e97bd1181d05de28fda67f4872449f64034f9eda SHA512 af8dc10857eb2476370b2e720447f6228c43b62e3c3bff0e578588686c3642e96a82f50c632fff57af15ec97dccdd9a561034a068ddf8ef307bc731a82efcba3
diff --git a/dev-python/simplejson/simplejson-4.1.2.ebuild b/dev-python/simplejson/simplejson-4.1.2.ebuild
new file mode 100644
index 000000000000..06c01858aff7
--- /dev/null
+++ b/dev-python/simplejson/simplejson-4.1.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/simplejson/simplejson
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple, fast, extensible JSON encoder/decoder for Python"
+HOMEPAGE="
+ https://github.com/simplejson/simplejson/
+ https://pypi.org/project/simplejson/
+"
+
+LICENSE="|| ( MIT AFL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+DOCS=( README.rst CHANGES.txt )
+
+distutils_enable_tests unittest
+
+src_configure() {
+ # native-extensions are always disabled on PyPy
+ # https://github.com/simplejson/simplejson/blob/master/setup.py#L121
+ export DISABLE_SPEEDUPS=$(usex native-extensions 0 1)
+ use native-extensions && export REQUIRE_SPEEDUPS=1
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}